Open Lighting Architecture: ola::plugin::dummy::DummyPort Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
ola::plugin::dummy::DummyPort Class Reference
Inheritance diagram for ola::plugin::dummy::DummyPort:

## Classes
struct | Options

## Public Member Functions
| DummyPort (class DummyDevice *parent, const Options &options, unsigned int id)
bool | WriteDMX (const DmxBuffer &buffer, uint8_t priority)
| Write DMX data to this port.
std::string | Description () const
| Fetch the string description for a Port.
void | RunFullDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
| This is a noop for ports that don't support RDM.
void | RunIncrementalDiscovery (ola::rdm::RDMDiscoveryCallback *callback)
| This is a noop for ports that don't support RDM.
void | SendRDMRequest (ola::rdm::RDMRequest *request, ola::rdm::RDMCallback *callback)
| Handle an RDMRequest, subclasses can implement this to support RDM.
Public Member Functions inherited from ola::BasicOutputPort
| BasicOutputPort (AbstractDevice *parent, unsigned int port_id, bool start_rdm_discovery_on_patch=false, bool supports_rdm=false)
| Create a new BasicOutputPort.
unsigned int | PortId () const
| Get the Port ID. This is the index within the device.
AbstractDevice * | GetDevice () const
| Get the device which owns this Port.
bool | SetUniverse (Universe *universe)
| Bind this port to a universe.
Universe * | GetUniverse () const
| Fetch the universe this Port is bound to.
std::string | UniqueId () const
| Return the globally unique id for a Port.
bool | SetPriority (uint8_t priority)
| Set the Priority for this Port.
uint8_t | GetPriority () const
| Get the numeric priority for this Port.
void | SetPriorityMode (port_priority_mode mode)
| Set the Priority Mode for this Port.
port_priority_mode | GetPriorityMode () const
| Get the Priority Mode for this Port.
virtual void | UniverseNameChanged (const std::string &new_name)
| Called if the universe name changes.
port_priority_capability | PriorityCapability () const
| Get the priority capabilities for this port.
virtual bool | SupportsTimeCode () const
virtual bool | SendTimeCode (const ola::timecode::TimeCode &)
| This is a noop for ports that don't support TimeCode.
virtual bool | PreSetUniverse (Universe *, Universe *)
virtual void | PostSetUniverse (Universe *, Universe *)
virtual bool | SupportsRDM () const
| Check if this Port supports RDM or not.

## Additional Inherited Members
Protected Member Functions inherited from ola::BasicOutputPort
virtual bool | SupportsPriorities () const
void | UpdateUIDs (const ola::rdm::UIDSet &uids)
| Called when the discovery triggered by patching completes.

## Constructor & Destructor Documentation

## ◆ DummyPort()

ola::plugin::dummy::DummyPort::DummyPort | ( | class DummyDevice * | parent,
|  | const Options & | options,
|  | unsigned int | id )

Create a new DummyPort

Parameters

  parent | the parent device for this port
  options | the config for the DummyPort such as the number of fake RDM devices to create
  id | the ID of this port

## Member Function Documentation

## ◆ Description()

std::string ola::plugin::dummy::DummyPort::Description | ( |  | ) | const
| inlinevirtual

Fetch the string description for a Port.

Returns
  a short text description of this port.

Implements ola::Port.

## ◆ RunFullDiscovery()

void ola::plugin::dummy::DummyPort::RunFullDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | on_complete | ) |
| virtual

This is a noop for ports that don't support RDM.

Reimplemented from ola::BasicOutputPort.

## ◆ RunIncrementalDiscovery()

void ola::plugin::dummy::DummyPort::RunIncrementalDiscovery | ( | ola::rdm::RDMDiscoveryCallback * | on_complete | ) |
| virtual

This is a noop for ports that don't support RDM.

Reimplemented from ola::BasicOutputPort.

## ◆ SendRDMRequest()

void ola::plugin::dummy::DummyPort::SendRDMRequest | ( | ola::rdm::RDMRequest * | request,
|  | ola::rdm::RDMCallback * | callback )
| virtual

Handle an RDMRequest, subclasses can implement this to support RDM.

Reimplemented from ola::BasicOutputPort.

## ◆ WriteDMX()

bool ola::plugin::dummy::DummyPort::WriteDMX | ( | const DmxBuffer & | buffer,
|  | uint8_t | priority )
| virtual

Write DMX data to this port.

Parameters

  buffer | the DmxBuffer to write
  priority | the priority of the DMX data

Returns
  true on success, false on failure

Implements ola::OutputPort.

The documentation for this class was generated from the following files:

- plugins/dummy/DummyPort.h
- plugins/dummy/DummyPort.cpp